import Vue from 'vue'
import VueRouter from 'vue-router'
import Layout from '@/components/Layout.vue'

Vue.use(VueRouter)

const routes = [
  { path: '*', redirect: '/' },
  {
    name: 'login',
    path: '/login',
    component: () => import('@/views/Login.vue')
  },
  // 首页
  {
    name: 'index',
    path: '/',
    component: () => import('@/views/Index.vue')
  },
  // 创建
  {
    path: '/create',
    component: Layout,
    children: [
      {
        name: 'create',
        path: '',
        component: () => import('@/views/Create.vue')
      }
    ]
  },
  // 详情
  {
    path: '/item/:id',
    component: Layout,
    children: [
      {
        path: '',
        name: 'item',
        component: () => import('@/views/Item.vue')
      },
      // 修改
      {
        path: 'update',
        name: 'edit',
        component: () => import('@/views/Edit.vue')
      },
      // 加入活动
      {
        path: 'join',
        name: 'join',
        component: () => import('@/views/Join.vue')
      },
      // 查看已加入
      {
        path: 'joined',
        name: 'joined',
        component: () => import('@/views/Joined.vue')
      },
      // 全部回复
      {
        path: 'comment/:commentId',
        name: 'comment',
        component: () => import('@/views/Comment.vue')
      }
    ]
  }
]

const router = new VueRouter({
  mode: 'history',
  base: process.env.BASE_URL,
  routes
})

export default router
